import os
import sys
import unittest

sys.path.append('/Volumes/kevyin/genePatternModules/working/gctForIGV/src')

cmd_folder = os.path.dirname(os.path.abspath(__file__))
if cmd_folder not in sys.path:
	sys.path.insert(0, cmd_folder)

import gct2IGVcompat as g2igv

class TestHelperFunctions(unittest.TestCase):
	
	def setUp(self):
		self.symbol = 'AGRN'
		self.descr = 'AGRN: agrin'

	def test_normal(self):
		self.descr = 'AGRN: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)

	def test_twocolon(self):
		self.descr = 'AGRN:: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)
	
	def test_space(self):
		self.descr = ' AGRN:: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)

	def test_spacebefore(self):
		self.descr = ' AGRN :: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)

	def test_space2(self):
		self.descr = 'AGRN :: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)
	def test_space_many(self):
		self.descr = '    AGRN :: agrin'
		self.assertEqual(g2igv.getGeneSymbol(self.descr),self.symbol)

	def test_error(self):
		self.descr = '   AG:RN   :: agrin'
		self.assertNotEqual(g2igv.getGeneSymbol(self.descr),self.symbol)

if __name__ == '__main__':
	unittest.main()
